> For the complete documentation index, see [llms.txt](https://docs.insurehero.io/shield-api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.insurehero.io/shield-api/integrations/manage-claims.md).

# Manage Claims

These endpoints let an Integrations API key create and manage claims in the channels of its webhooks. They work like the v2 claim endpoints of the channel API, with these differences:

* Use an Integrations token ([Authorization](/shield-api/integrations/authorization.md)). A channel token returns `401`.
* Send the channel in the `x-channel-id` header. It must be one of the channels of your [webhooks](/shield-api/integrations/webhooks-configuration.md), for any table. Without the header, the response is an input validation error (`422`).
* Broker and insurer API keys get the same results. Unlike [Fetch Claims](/shield-api/integrations/fetch-claims.md), the claims are not filtered by insurer.

## Endpoints

<table><thead><tr><th width="113">Method</th><th>Endpoint</th></tr></thead><tbody><tr><td><mark style="color:blue;">GET</mark></td><td><a href="#all-claims"><code>https://app.insurehero.io/api/shield/integrations/v2/claims</code></a></td></tr><tr><td><mark style="color:green;">POST</mark></td><td><a href="#create-a-claim"><code>https://app.insurehero.io/api/shield/integrations/v2/claims</code></a></td></tr><tr><td><mark style="color:blue;">GET</mark></td><td><a href="#get-the-data-of-a-given-claim"><code>https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId</code></a></td></tr><tr><td><mark style="color:purple;">PATCH</mark></td><td><a href="#add-a-communication-to-a-claim"><code>https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId</code></a></td></tr><tr><td><mark style="color:green;">POST</mark></td><td><a href="#upload-assets"><code>https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId/assets</code></a></td></tr><tr><td><mark style="color:blue;">GET</mark></td><td><a href="#get-step-information"><code>https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId/workflow</code></a></td></tr><tr><td><mark style="color:green;">POST</mark></td><td><a href="#post-a-step"><code>https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId/workflow</code></a></td></tr></tbody></table>

### All claims

<mark style="color:blue;">`GET`</mark> `https://app.insurehero.io/api/shield/integrations/v2/claims`

#### Headers

| Name                                            | Type   | Description                                                            |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer access token (Integrations token).                              |
| x-channel-id<mark style="color:red;">\*</mark>  | uuid   | Channel of the claim. It must be one of the channels of your webhooks. |

Works like [`GET /v2/claims`](/shield-api/claims/claims-management.md#all-claims): same parameters, body, responses and errors.

For a channel that is not one of the channels of your webhooks, the response is `200` with an empty list.

### Create a claim

<mark style="color:green;">`POST`</mark> `https://app.insurehero.io/api/shield/integrations/v2/claims`

#### Headers

| Name                                            | Type   | Description                                                                       |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer access token (Integrations token).                                         |
| x-channel-id<mark style="color:red;">\*</mark>  | uuid   | Channel of the claim. It must be one of the channels of your webhooks.            |
| User-Authorization                              | string | User token of the claimant. Required unless the channel is enabled for handshake. |

Works like [`POST /v2/claims`](/shield-api/claims/claims-management.md#create-a-new-claim-for-a-risk-item): same parameters, body, responses and errors.

For a channel that is not one of the channels of your webhooks, the response is `401` with details `"Channel not found or error fetching channel data."`.

### Get the data of a given claim

<mark style="color:blue;">`GET`</mark> `https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId`

#### Headers

| Name                                            | Type   | Description                                                            |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer access token (Integrations token).                              |
| x-channel-id<mark style="color:red;">\*</mark>  | uuid   | Channel of the claim. It must be one of the channels of your webhooks. |

Works like [`GET /v2/claims/:claimId`](/shield-api/claims/claims-management.md#get-the-data-of-a-given-claim): same parameters, body, responses and errors.

For a channel that is not one of the channels of your webhooks, the response is `404` with details `"Claim not found"`.

### Add a communication to a claim

<mark style="color:purple;">`PATCH`</mark> `https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId`

#### Headers

| Name                                            | Type   | Description                                                            |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer access token (Integrations token).                              |
| x-channel-id<mark style="color:red;">\*</mark>  | uuid   | Channel of the claim. It must be one of the channels of your webhooks. |

Works like [`PATCH /v2/claims/:claimId`](/shield-api/claims/claims-management.md#add-a-communication-to-a-claim): same parameters, body, responses and errors.

For a channel that is not one of the channels of your webhooks, the response is `422` with `details` containing `"message": "Internal error"` and an `event_id`.

### Upload assets

<mark style="color:green;">`POST`</mark> `https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId/assets`

#### Headers

| Name                                            | Type   | Description                                                            |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer access token (Integrations token).                              |
| x-channel-id<mark style="color:red;">\*</mark>  | uuid   | Channel of the claim. It must be one of the channels of your webhooks. |

Works like [`POST /v2/claims/:claimId/assets`](/shield-api/claims/claims-management/claims-asset-management.md): same parameters, body, responses and errors.

For a channel that is not one of the channels of your webhooks, the response is `422` with error `"Invalid request, claimDataId does not exist for this channel_id."`.

### Get step information

<mark style="color:blue;">`GET`</mark> `https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId/workflow`

#### Headers

| Name                                            | Type   | Description                                                            |
| ----------------------------------------------- | ------ | ---------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer access token (Integrations token).                              |
| x-channel-id<mark style="color:red;">\*</mark>  | uuid   | Channel of the claim. It must be one of the channels of your webhooks. |

Works like [`GET /v2/claims/:claimId/workflow`](/shield-api/claims/workflows-management.md#get-step-information): same parameters, body, responses and errors.

For a channel that is not one of the channels of your webhooks, the response is `404` with details `"Claim not found"`.

### Post a step

<mark style="color:green;">`POST`</mark> `https://app.insurehero.io/api/shield/integrations/v2/claims/:claimId/workflow`

#### Headers

| Name                                            | Type   | Description                                                                       |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | string | Bearer access token (Integrations token).                                         |
| x-channel-id<mark style="color:red;">\*</mark>  | uuid   | Channel of the claim. It must be one of the channels of your webhooks.            |
| User-Authorization                              | string | User token of the claimant. Required unless the channel is enabled for handshake. |

Works like [`POST /v2/claims/:claimId/workflow`](/shield-api/claims/workflows-management.md#post-a-step): same parameters, body, responses and errors.

For a channel that is not one of the channels of your webhooks, the response is `404` with details `"Claim not found"`.

To access these resources, please remember to visit the [**Links and Resources**](/shield-api/links-and-resources.md) section of the documentation.
